Bug 1141297 - --fields=pkglist can only be used with --erratum-id and not with --match or --filters
Summary: --fields=pkglist can only be used with --erratum-id and not with --match or -...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: rpm-support
Version: 2.4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-12 16:03 UTC by Randy Barlow
Modified: 2015-02-28 22:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:19:39 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 524 0 None None None Never

Description Randy Barlow 2014-09-12 16:03:32 UTC
Description of problem:

This command will not print anything:

$ pulp-admin rpm repo content errata --repo-id rhel-6-server --match Type=security --fields pkglist

Neither will this command:

pulp-admin rpm repo content errata --repo-id=rhel-6-server --fields=pkglist --filters='{"issued": {"$gte": "2014-01-01"},"type": "security"}'

However, this command will print the pkglist:

pulp-admin rpm repo content errata --repo-id rhel-6-server --erratum-id RHSA-2014:1075 --fields pkglist

Both commands should print the pkglist.

Version-Release number of selected component (if applicable):
2.4.0-1

How reproducible:
Every time.

Steps to Reproduce:
1. Sync the rhel-6-server repository.
2. Run pulp-admin rpm repo content errata --repo-id rhel-6-server --match Type=security --fields pkglist
3. Also run pulp-admin rpm repo content errata --repo-id=rhel-6-server --fields=pkglist --filters='{"issued": {"$gte": "2014-01-01"},"type": "security"}'

Actual results:
Observe that these commands do not print the pkglist.

Expected results:
The pkglists should be printed for each errata that match a query.

Comment 1 Brian Bouterse 2015-02-28 22:19:39 UTC
Moved to https://pulp.plan.io/issues/524


Note You need to log in before you can comment on or make changes to this bug.